commit:     64ec18e6fc8f4ef20d2218f6f8bf7c83f0b3c531
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu May 27 10:17:29 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Thu May 27 10:17:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=64ec18e6

dev-cpp/fizz: add 2021.05.24.00

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-cpp/fizz/Manifest                  |  1 +
 dev-cpp/fizz/fizz-2021.05.24.00.ebuild | 46 ++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-cpp/fizz/Manifest b/dev-cpp/fizz/Manifest
index 23013ecdd..68fd37a17 100644
--- a/dev-cpp/fizz/Manifest
+++ b/dev-cpp/fizz/Manifest
@@ -1 +1,2 @@
 DIST fizz-2021.04.19.00.tar.gz 532228 BLAKE2B 
980d501fb7bb67ed01711f1c0dd685ea9416912ef6bb818be3fb6e6ba9c9bd28a10edd16903a244044733ed8fe85486ab4296626445b09f22b928c8041cebcfa
 SHA512 
dda187865b02c5f7e131fb70ed47c2a63d7024decfe94a70bbdd0ae02b6709801e2ea00f23280c50f392f91305cf11197be9204145f664dc227a7400831a9a01
+DIST fizz-2021.05.24.00.tar.gz 537533 BLAKE2B 
68cfefd30f9a395fee32af0d98a53b9c176b6f05a0ab551943ab5d2905d0c8dc4ed82c25d081542cb1c7b5610c519a0b251bfaa684d8ad63fceb9e3ddd6acc31
 SHA512 
618bdf798cfb560d4c06c6eec678af4c2f9c4fa9e1b0ce3d13f440e268472c388a511e762372991202c1cd9db936f1fbd3faaea0d90b8f41027162022cce1933

diff --git a/dev-cpp/fizz/fizz-2021.05.24.00.ebuild 
b/dev-cpp/fizz/fizz-2021.05.24.00.ebuild
new file mode 100644
index 000000000..ce8b93c27
--- /dev/null
+++ b/dev-cpp/fizz/fizz-2021.05.24.00.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="C++14 implementation of the TLS-1.3 standard"
+HOMEPAGE="https://github.com/facebookincubator/fizz";
+
+SRC_URI="https://github.com/facebookincubator/fizz/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+CMAKE_USE_DIR="${S}/fizz"
+
+RDEPEND="
+       ~dev-cpp/folly-${PV}:=
+       dev-cpp/gflags
+       dev-cpp/glog
+       dev-libs/double-conversion
+       dev-libs/libevent
+       dev-libs/libfmt
+       dev-libs/libsodium
+       dev-libs/openssl:0=
+"
+#TODO: discover if gtest is linked
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/gtest
+"
+
+src_prepare() {
+       cmake_src_prepare
+       sed -i '/Sodium/d' fizz/cmake/fizz-config.cmake.in || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DLIB_INSTALL_DIR=$(get_libdir)
+       )
+
+       cmake_src_configure
+}

Reply via email to